Bug 7868 - MacOS: Fails quicktest
MacOS: Fails quicktest
Status: RESOLVED WORKSFORME
Product: Samba 4.0
Classification: Unclassified
Component: smbtorture
unspecified
x64 Mac OS X
: P3 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-14 22:47 UTC by William E Brown
Modified: 2011-02-15 03:52 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description William E Brown 2010-12-14 22:47:07 UTC
When running make quicktest, segmentation faults occur.

git ref 12e49a748c26697fb6f697512babb949a6c2931f

i686-apple-darwin10-gcc-4.2.1 (GCC) 4.2.1 (Apple Inc. build 5664)

Using ./configure.developer --prefix=/opt/samba4


[williambrown@Mai ~/development/samba-master/source4]$ make quicktest
WAF_MAKE=1 ../buildtools/bin/waf test --quick 
'test' finished successfully (0.000s)
Waf: Entering directory `/Users/williambrown/development/samba-master/source4/bin'
Checking project rules ...
Project rules pass
[   8/2288] Generating VERSION
Waf: Leaving directory `/Users/williambrown/development/samba-master/source4/bin'
'build' finished successfully (6.737s)
test: running (/usr/bin/perl /Users/williambrown/development/samba-master/source4/../selftest/selftest.pl --prefix=./st --builddir=. --srcdir=. --exclude=./selftest/skip --testlist="/usr/bin/python ./selftest/tests.py|"  --exclude=./selftest/slow --quick --include=./selftest/quick --socket-wrapper  && touch ./st/st_done) | /usr/bin/python -u ../selftest/filter-subunit --expected-failures=./selftest/knownfail | tee ./st/subunit | /usr/bin/python -u ../selftest/format-subunit --prefix=./st --immediate
SOCKET_WRAPPER_DIR=/Users/williambrown/development/samba-master/source4/st/w
Version 4.0.0alpha14-GIT-12e49a7
OPTIONS --configfile=$SMB_CONF_PATH --maximum-runtime=$SELFTEST_MAXTIME --target=$SELFTEST_TARGET --basedir=$SELFTEST_TMPDIR --option=torture:progress=no --format=subunit --option=torture:quick=yes
WARNING: allowing empty subunit output from ldb.base
WARNING: allowing empty subunit output from samba4.urgent_replication.python(dc)
WARNING: allowing empty subunit output from samba4.blackbox.samba3dump
WARNING: allowing empty subunit output from samba4.blackbox.upgrade
sh: line 1: 36411 Segmentation fault      ./bin/../scripting/bin/testparm --configfile=/Users/williambrown/development/samba-master/source4/st/dc/etc/smb.conf -v --suppress-prompt > /dev/null 2>&1
sh: line 1: 36414 Segmentation fault      ./bin/../scripting/bin/testparm -v --suppress-prompt --configfile=/Users/williambrown/development/samba-master/source4/st/dc/etc/smb.conf 1>&2
Failed to create a valid smb.conf configuration ./bin/../scripting/bin/testparm! at /Users/williambrown/development/samba-master/selftest/target/Samba4.pm line 703.
PROVISIONING DC...testsuite: samba4.rpc.schannel on ncalrpc with seal,padcheck(dc:local)
no output for name[samba4.rpc.schannel on ncalrpc with seal,padcheck(dc:local)]
ERROR: Testsuite[samba4.rpc.schannel on ncalrpc with seal,padcheck(dc:local)]
REASON: unable to set up environment dc:local - exiting

Here is the contents of /st/summary

= Failed tests =
== samba4.rpc.schannel on ncalrpc with seal,padcheck(dc:local) ==
== samba4.rpc.join on ncalrpc with seal,padcheck(dc:local) ==
== samba4.rpc.altercontext on ncalrpc with seal,padcheck(dc:local) ==
== samba4.rpc.netlogon on ncalrpc with seal,padcheck(dc:local) ==
== samba4.rpc.schannel2 on ncalrpc with seal,padcheck(dc:local) ==
== samba4.rpc.schannel on ncacn_np with seal,padcheck(dc) ==
== samba4.rpc.join on ncacn_np with seal,padcheck(dc) ==
== samba4.rpc.altercontext on ncacn_np with seal,padcheck(dc) ==
== samba4.rpc.netlogon on ncacn_np with seal,padcheck(dc) ==
== samba4.rpc.handles on ncacn_np with seal,padcheck(dc) ==
== samba4.rpc.schannel2 on ncacn_np with seal,padcheck(dc) ==
== samba4.rpc.schannel on ncacn_ip_tcp with seal,padcheck(dc) ==
== samba4.rpc.join on ncacn_ip_tcp with seal,padcheck(dc) ==
== samba4.rpc.altercontext on ncacn_ip_tcp with seal,padcheck(dc) ==
== samba4.rpc.netlogon on ncacn_ip_tcp with seal,padcheck(dc) ==
== samba4.rpc.handles on ncacn_ip_tcp with seal,padcheck(dc) ==
== samba4.rpc.schannel2 on ncacn_ip_tcp with seal,padcheck(dc) ==
== samba4.rpc.schannel on ncalrpc with validate(dc:local) ==
== samba4.rpc.join on ncalrpc with validate(dc:local) ==
== samba4.rpc.altercontext on ncalrpc with validate(dc:local) ==
== samba4.rpc.netlogon on ncalrpc with validate(dc:local) ==
== samba4.rpc.schannel2 on ncalrpc with validate(dc:local) ==
== samba4.rpc.schannel on ncacn_np with validate(dc) ==
== samba4.rpc.join on ncacn_np with validate(dc) ==
== samba4.rpc.altercontext on ncacn_np with validate(dc) ==
== samba4.rpc.netlogon on ncacn_np with validate(dc) ==
== samba4.rpc.handles on ncacn_np with validate(dc) ==
== samba4.rpc.schannel2 on ncacn_np with validate(dc) ==
== samba4.rpc.schannel on ncacn_ip_tcp with validate(dc) ==
== samba4.rpc.join on ncacn_ip_tcp with validate(dc) ==
== samba4.rpc.altercontext on ncacn_ip_tcp with validate(dc) ==
== samba4.rpc.netlogon on ncacn_ip_tcp with validate(dc) ==
== samba4.rpc.handles on ncacn_ip_tcp with validate(dc) ==
== samba4.rpc.schannel2 on ncacn_ip_tcp with validate(dc) ==
== samba4.rpc.schannel on ncalrpc with bigendian(dc:local) ==
== samba4.rpc.join on ncalrpc with bigendian(dc:local) ==
== samba4.rpc.altercontext on ncalrpc with bigendian(dc:local) ==
== samba4.rpc.netlogon on ncalrpc with bigendian(dc:local) ==
== samba4.rpc.schannel2 on ncalrpc with bigendian(dc:local) ==
== samba4.rpc.schannel on ncacn_np with bigendian(dc) ==
== samba4.rpc.join on ncacn_np with bigendian(dc) ==
== samba4.rpc.altercontext on ncacn_np with bigendian(dc) ==
== samba4.rpc.netlogon on ncacn_np with bigendian(dc) ==
== samba4.rpc.handles on ncacn_np with bigendian(dc) ==
== samba4.rpc.schannel2 on ncacn_np with bigendian(dc) ==
== samba4.rpc.schannel on ncacn_ip_tcp with bigendian(dc) ==
== samba4.rpc.join on ncacn_ip_tcp with bigendian(dc) ==
== samba4.rpc.altercontext on ncacn_ip_tcp with bigendian(dc) ==
== samba4.rpc.netlogon on ncacn_ip_tcp with bigendian(dc) ==
== samba4.rpc.handles on ncacn_ip_tcp with bigendian(dc) ==
== samba4.rpc.schannel2 on ncacn_ip_tcp with bigendian(dc) ==
== samba4.rpc.echo with (dc) ==
== samba4.rpc.unixinfo with (dc) ==
== samba4.rpc.netlogon-s3 with (dc) ==
== samba4.rpc.netlogon.admin with (dc) ==
== samba4.rpc.echo with validate(dc) ==
== samba4.rpc.unixinfo with validate(dc) ==
== samba4.rpc.netlogon-s3 with validate(dc) ==
== samba4.rpc.netlogon.admin with validate(dc) ==
== samba4.rpc.echo with bigendian(dc) ==
== samba4.rpc.unixinfo with bigendian(dc) ==
== samba4.rpc.netlogon-s3 with bigendian(dc) ==
== samba4.rpc.netlogon.admin with bigendian(dc) ==
== samba4.rpc.echo on ncacn_np(dc) ==
== samba4.rpc.echo on ncacn_np with connect and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_np with spnego and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_np with spnego,sign and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_np with spnego,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_np with validate and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_np with padcheck and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_np with bigendian and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_np with bigendian,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with connect and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego,sign and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with validate and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with padcheck and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with bigendian and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with bigendian,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(dc) ==
== samba4.rpc.echo on ncacn_np(fl2000dc) ==
== samba4.rpc.echo on ncacn_np with connect and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_np with spnego and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_np with spnego,sign and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_np with spnego,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_np with validate and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_np with padcheck and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_np with bigendian and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_np with bigendian,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_ip_tcp(fl2000dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with connect and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego,sign and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with validate and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with padcheck and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with bigendian and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with bigendian,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2000dc) ==
== samba4.rpc.echo on ncacn_np(fl2003dc) ==
== samba4.rpc.echo on ncacn_np with connect and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_np with spnego and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_np with spnego,sign and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_np with spnego,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_np with validate and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_np with padcheck and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_np with bigendian and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_np with bigendian,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_ip_tcp(fl2003dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with connect and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego,sign and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with validate and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with padcheck and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with bigendian and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with bigendian,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2003dc) ==
== samba4.rpc.echo on ncacn_np(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_np with connect and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_np with spnego and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_np with spnego,sign and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_np with spnego,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_np with validate and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_np with padcheck and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_np with bigendian and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_np with bigendian,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_ip_tcp(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with connect and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego,sign and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with spnego,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with validate and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with padcheck and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with bigendian and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with bigendian,seal and --option=socket:testnonblock=True --option=torture:quick=yes -k yes(fl2008r2dc) ==
== samba4.rpc.echo on ncacn_np with sign and --option=ntlmssp_client:ntlm2=yes --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with sign and --option=ntlmssp_client:ntlm2=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with sign and --option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with sign and --option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:128bit=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with sign and --option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with sign and --option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with sign and --option=clientntlmv2auth=yes --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with sign and --option=clientntlmv2auth=yes --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=yes --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with sign and --option=clientntlmv2auth=yes --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with seal and --option=ntlmssp_client:ntlm2=yes --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with seal and --option=ntlmssp_client:ntlm2=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with seal and --option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with seal and --option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:128bit=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with seal and --option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with seal and --option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with seal and --option=clientntlmv2auth=yes --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with seal and --option=clientntlmv2auth=yes --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=yes --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np with seal and --option=clientntlmv2auth=yes --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with sign and --option=ntlmssp_client:ntlm2=yes --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with sign and --option=ntlmssp_client:ntlm2=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with sign and --option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with sign and --option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:128bit=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with sign and --option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with sign and --option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with sign and --option=clientntlmv2auth=yes --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with sign and --option=clientntlmv2auth=yes --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=yes --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with sign and --option=clientntlmv2auth=yes --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with seal and --option=ntlmssp_client:ntlm2=yes --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with seal and --option=ntlmssp_client:ntlm2=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with seal and --option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with seal and --option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:128bit=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with seal and --option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with seal and --option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with seal and --option=clientntlmv2auth=yes --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with seal and --option=clientntlmv2auth=yes --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=yes --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_ip_tcp with seal and --option=clientntlmv2auth=yes --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes(dc) ==
== samba4.rpc.echo on ncacn_np over smb2(dc) ==
== samba4.base.delete(dc) ==
== samba4.base.unlink(dc) ==
== samba4.base.attr(dc) ==
== samba4.base.tcon(dc) ==
== samba4.base.tcondev(dc) ==
== samba4.base.open(dc) ==
== samba4.base.openattr(dc) ==
== samba4.base.chkpath(dc) ==
== samba4.raw.open(dc) ==
== samba4.raw.read(dc) ==
== samba4.raw.write(dc) ==
== samba4.raw.rename(dc) ==
== samba4.raw.qfsinfo(dc) ==
== samba4.raw.qfileinfo(dc) ==
== samba4.raw.close(dc) ==
== samba4.raw.mkdir(dc) ==
== samba4.raw.ioctl(dc) ==
== samba4.raw.seek(dc) ==
== samba4.raw.eas(dc) ==
== samba4.raw.qfileinfo.ipc(dc) ==
== samba4.ntvfs.cifs.base.delete(dc) ==
== samba4.ntvfs.cifs.base.unlink(dc) ==
== samba4.ntvfs.cifs.base.attr(dc) ==
== samba4.ntvfs.cifs.base.tcon(dc) ==
== samba4.ntvfs.cifs.base.tcondev(dc) ==
== samba4.ntvfs.cifs.base.open(dc) ==
== samba4.ntvfs.cifs.base.openattr(dc) ==
== samba4.ntvfs.cifs.base.chkpath(dc) ==
== samba4.drs.unit ==
Using seed 1292388219
ldb: unable to stat module /Users/williambrown/development/samba-master/source4/bin/modules/ldb/dsdb_cache.dylib : No such file or directory
ldb: failed to initialise module /Users/williambrown/development/samba-master/source4/bin/modules/ldb/dsdb_cache.dylib : Unavailable
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
INTERNAL ERROR: Signal 11 in pid 37656 (4.0.0alpha14-GIT-12e49a7)
Please read the file BUGS.txt in the distribution
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
smb_panic(): calling panic action [/Users/williambrown/development/samba-master/selftest/gdb_backtrace 37656 bin/smbtorture]
gdb_backtrace: Trying to use /usr/bin/gdb on bin/smbtorture on PID 37656
GNU gdb 6.3.50-20050815 (Apple version gdb-1510) (Wed Sep 22 02:45:02 UTC 2010)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-apple-darwin"...Reading symbols for shared libraries ............................................................................. done

/Users/williambrown/development/samba-master/source4/37656: No such file or directory
Attaching to program: `/Users/williambrown/development/samba-master/source4/bin/smbtorture', process 37656.
Reading symbols for shared libraries .++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++............................. done
0x00007fff8069bf6e in wait4 ()
#0  0x00007fff8069bf6e in wait4 ()
No symbol table info available.
#1  0x00007fff806b051a in system ()
No symbol table info available.
#2  0x0000000100e083cd in smb_panic (why=0x100e215cf "internal error") at ../../lib/util/fault.c:134
        pidstr = "37656\000\000\000#\024###00\001\000\000\000#\025###
                                                                        cmdstring = "/Users/williambrown/development/samba-master/selftest/gdb_backtrace 37656 bin/smbtorture\000\000\020\002\001\000\000\000@\000\000\b\000\000\000\000\022\000\000\000\000\000\000\000#\000\000\000########\001\000\000\000@##_#\000\000\025|###00\001\000\000\000urce4/bi#\024###00\001\000\000\000#\025###00\001\000\000\000db_c", '\0' <repeats 20 times>, "p##_#\000"
        result = 64
#3  0x0000000100e085e6 in fault_report (sig=Could not find the frame base for "fault_report".
) at ../../lib/util/fault.c:167
        counter = 0
#4  0x0000000100e08611 in sig_fault (sig=Could not find the frame base for "sig_fault".
) at ../../lib/util/fault.c:182
No locals.
#5  <signal handler called>
No symbol table info available.
#6  0x00000001008177d3 in ldb_connect (ldb=0x0, url=0x1021e9490 "/Users/williambrown/development/samba-master/source4/st/tmp/smbtorturemPyKxS/drs_.kAyFYP/drs_test.ldb", flags=0, options=0x0) at ../lib/ldb/common/ldb.c:236
        ret = 1
        url2 = 0x7fff5fbf8be0 "###_#"
#7  0x0000000100123350 in torture_drs_unit_ldb_setup (tctx=0x1021b85f0, priv=0x1021e74f0) at ../torture/drs/unit/prefixmap_tests.c:778
        ldb_err = 35550448
        ldb_url = 0x1021e9490 "/Users/williambrown/development/samba-master/source4/st/tmp/smbtorturemPyKxS/drs_.kAyFYP/drs_test.ldb"
        bret = true
        mem_ctx = (TALLOC_CTX *) 0x1021e9350
        tempdir = 0x1021e92a0 "/Users/williambrown/development/samba-master/source4/st/tmp/smbtorturemPyKxS/drs_.kAyFYP"
        status = {
  v = 0
}
#8  0x0000000100123833 in torture_drs_unit_prefixmap_setup (tctx=0x1021b85f0, _priv=0x10216a0c8) at ../torture/drs/unit/prefixmap_tests.c:833
        werr = {
  v = 0
}
        blob = {
  data = 0x102833e50 "#", 
  length = 21
}
        priv = (struct drsut_prefixmap_data *) 0x1021e74f0
#9  0x0000000100e4da88 in torture_run_tcase_restricted (context=0x1021b85f0, tcase=0x10216a0a0, restricted=0x0) at ../../lib/torture/torture.c:485
        ret = true
        test = (struct torture_test *) 0x0
        setup_succeeded = true
        setup_reason = 0x100e4f290 "Setup failed"
#10 0x0000000100e4d513 in torture_run_suite_restricted (context=0x1021b85f0, suite=0x102169fc0, restricted=0x0) at ../../lib/torture/torture.c:354
        ret = true
        tcase = (struct torture_tcase *) 0x10216a0a0
        tsuite = (struct torture_suite *) 0x10180be2f
#11 0x0000000100e4d483 in torture_run_suite (context=0x1021b85f0, suite=0x102169fc0) at ../../lib/torture/torture.c:336
No locals.
#12 0x000000010011d6cd in run_matching (torture=0x1021b85f0, prefix=0x0, expr=0x7fff5fbf9bc6 "drs.unit", restricted=0x0, suite=0x10211cc60, matched=0x7fff5fbf8e3e) at ../torture/smbtorture.c:92
        name = 0x1021e7490 "drs.unit"
        ret = true
        o = (struct torture_suite *) 0x102169fc0
        t = (struct torture_tcase *) 0x100e0be9c
        p = (struct torture_test *) 0x7fff5fbf8e00
#13 0x000000010011d941 in torture_run_named_tests (torture=0x1021b85f0, name=0x7fff5fbf9bc6 "drs.unit", restricted=0x0) at ../torture/smbtorture.c:142
        ret = true
        matched = true
        o = (struct torture_suite *) 0x0
#14 0x000000010011f428 in main (argc=10, argv=0x7fff5fbf94c0) at ../torture/smbtorture.c:715
        opt = -1
        i = 2
        correct = true
        max_runtime = 1200
        argc_new = 3
        torture = (struct torture_context *) 0x1021b85f0
        results = (struct torture_results *) 0x1021b8450
        ui_ops = (const struct torture_ui_ops *) 0x100e50160
        argv_new = (char **) 0x1021091d0
        pc = (poptContext) 0x102108ec0
        status = {
  v = 0
}
        shell = 0
        basedir = 0x10210b730 "/Users/williambrown/development/samba-master/source4/st/tmp"
        outputdir = 0x1021b86f0 "/Users/williambrown/development/samba-master/source4/st/tmp/smbtorturemPyKxS"
        extra_module = 0x0
        num_extra_users = 0
        restricted = (char **) 0x0
        num_restricted = -1
        load_list = 0x0
        long_options = {{
    longName = 0x0, 
    shortName = 0 '\0', 
    argInfo = 4, 
    arg = 0x101c8a200, 
    val = 0, 
    descrip = 0x10045a880 "Help options:", 
    argDescrip = 0x0
  }, {
    longName = 0x10041d924 "format", 
    shortName = 0 '\0', 
    argInfo = 1, 
    arg = 0x10062d500, 
    val = 0, 
    descrip = 0x10045a890 "Output format (one of: simple, subunit)", 
    argDescrip = 0x0
  }, {
    longName = 0x10045a8b8 "smb-ports", 
    shortName = 112 'p', 
    argInfo = 1, 
    arg = 0x0, 
    val = 1006, 
    descrip = 0x10045a8c2 "SMB ports", 
    argDescrip = 0x0
  }, {
    longName = 0x10045a8cc "basedir", 
    shortName = 0 '\0', 
    argInfo = 1, 
    arg = 0x7fff5fbf9430, 
    val = 0, 
    descrip = 0x10045a8d4 "base directory", 
    argDescrip = 0x10045a8e3 "BASEDIR"
  }, {
    longName = 0x10045a8eb "seed", 
    shortName = 0 '\0', 
    argInfo = 2, 
    arg = 0x10062d51c, 
    val = 0, 
    descrip = 0x10045a8f0 "Seed to use for randomizer", 
    argDescrip = 0x0
  }, {
    longName = 0x10045a90b "num-progs", 
    shortName = 0 '\0', 
    argInfo = 2, 
    arg = 0x0, 
    val = 1008, 
    descrip = 0x10045a915 "num progs", 
    argDescrip = 0x0
  }, {
    longName = 0x10045a91f "num-ops", 
    shortName = 0 '\0', 
    argInfo = 2, 
    arg = 0x10062d510, 
    val = 0, 
    descrip = 0x10045a927 "num ops", 
    argDescrip = 0x0
  }, {
    longName = 0x10045a92f "entries", 
    shortName = 0 '\0', 
    argInfo = 2, 
    arg = 0x10062d514, 
    val = 0, 
    descrip = 0x10045a92f "entries", 
    argDescrip = 0x0
  }, {
    longName = 0x10045a937 "loadfile", 
    shortName = 0 '\0', 
    argInfo = 1, 
    arg = 0x0, 
    val = 1000, 
    descrip = 0x10045a940 "NBench load file to use", 
    argDescrip = 0x0
  }, {
    longName = 0x10045a958 "list-suites", 
    shortName = 0 '\0', 
    argInfo = 0, 
    arg = 0x100630f80, 
    val = 0, 
    descrip = 0x10045a968 "List available testsuites and exit", 
    argDescrip = 0x0
  }, {
    longName = 0x10045a98b "list", 
    shortName = 0 '\0', 
    argInfo = 0, 
    arg = 0x100630f84, 
    val = 0, 
    descrip = 0x10045a990 "List available tests in specified suites and exit", 
    argDescrip = 0x0
  }, {
    longName = 0x1004d9e50 "unclist", 
    shortName = 0 '\0', 
    argInfo = 1, 
    arg = 0x0, 
    val = 1001, 
    descrip = 0x1004d9e50 "unclist", 
    argDescrip = 0x0
  }, {
    longName = 0x10042c5f0 "timelimit", 
    shortName = 116 't', 
    argInfo = 2, 
    arg = 0x0, 
    val = 1002, 
    descrip = 0x10045a9c4 "Set time limit (in seconds)", 
    argDescrip = 0x0
  }, {
    longName = 0x10045a9e0 "failures", 
    shortName = 102 'f', 
    argInfo = 2, 
    arg = 0x10062d518, 
    val = 0, 
    descrip = 0x10045a9e0 "failures", 
    argDescrip = 0x0
  }, {
    longName = 0x10045a9e9 "parse-dns", 
    shortName = 68 'D', 
    argInfo = 1, 
    arg = 0x0, 
    val = 1003, 
    descrip = 0x10045a9e9 "parse-dns", 
    argDescrip = 0x0
  }, {
    longName = 0x10049bce8 "dangerous", 
    shortName = 88 'X', 
    argInfo = 0, 
    arg = 0x0, 
    val = 1005, 
    descrip = 0x10045a9f8 "run dangerous tests (eg. wiping out password database)", 
    argDescrip = 0x0
  }, {
    longName = 0x10045aa2f "load-module", 
    shortName = 0 '\0', 
    argInfo = 1, 
    arg = 0x7fff5fbf9420, 
    val = 0, 
    descrip = 0x10045aa3b "load tests from DSO file", 
    argDescrip = 0x10045aa54 "SOFILE"
  }, {
    longName = 0x10045aa5b "shell", 
    shortName = 0 '\0', 
    argInfo = 0, 
    arg = 0x7fff5fbf946c, 
    val = 1, 
    descrip = 0x10045aa61 "Run shell", 
    argDescrip = 0x0
  }, {
    longName = 0x10045aa6b "target", 
    shortName = 84 'T', 
    argInfo = 1, 
    arg = 0x10062d508, 
    val = 0, 
    descrip = 0x10045aa72 "samba3|samba4|other", 
    argDescrip = 0x0
  }, {
    longName = 0x1004d29b8 "async", 
    shortName = 97 'a', 
    argInfo = 0, 
    arg = 0x0, 
    val = 1007, 
    descrip = 0x10045aa8c "run async tests", 
    argDescrip = 0x0
  }, {
    longName = 0x10045aa9c "num-async", 
    shortName = 0 '\0', 
    argInfo = 2, 
    arg = 0x10062d520, 
    val = 0, 
    descrip = 0x10045aaa8 "number of simultaneous async requests", 
    argDescrip = 0x0
  }, {
    longName = 0x10045aace "maximum-runtime", 
    shortName = 0 '\0', 
    argInfo = 2, 
    arg = 0x7fff5fbf9480, 
    val = 0, 
    descrip = 0x10045aae0 "set maximum time for smbtorture to live", 
    argDescrip = 0x10045ab08 "seconds"
  }, {
    longName = 0x10045ab10 "extra-user", 
    shortName = 0 '\0', 
    argInfo = 1, 
    arg = 0x0, 
    val = 1009, 
    descrip = 0x10045ab1b "extra user credentials", 
    argDescrip = 0x0
  }, {
    longName = 0x10045ab32 "load-list", 
    shortName = 0 '\0', 
    argInfo = 1, 
    arg = 0x7fff5fbf9410, 
    val = 0, 
    descrip = 0x10045ab40 "load a test id list from a text file", 
    argDescrip = 0x0
  }, {
    longName = 0x0, 
    shortName = 0 '\0', 
    argInfo = 4, 
    arg = 0x1006306a0, 
    val = 0, 
    descrip = 0x10045ab65 "Common samba options:", 
    argDescrip = 0x0
  }, {
    longName = 0x0, 
    shortName = 0 '\0', 
    argInfo = 4, 
    arg = 0x1006304c0, 
    val = 0, 
    descrip = 0x10045ab7b "Connection options:", 
    argDescrip = 0x0
  }, {
    longName = 0x0, 
    shortName = 0 '\0', 
    argInfo = 4, 
    arg = 0x100630920, 
    val = 0, 
    descrip = 0x10045ab8f "Authentication options:", 
    argDescrip = 0x0
  }, {
    longName = 0x0, 
    shortName = 0 '\0', 
    argInfo = 4, 
    arg = 0x100630860, 
    val = 0, 
    descrip = 0x10045ab65 "Common samba options:", 
    argDescrip = 0x0
  }, {
    longName = 0x0, 
    shortName = 0 '\0', 
    argInfo = 0, 
    arg = 0x0, 
    val = 0, 
    descrip = 0x0, 
    argDescrip = 0x0
  }}
        target = 0x10210cd60 "samba4"
        ui_ops_name = 0x1021062e0 "subunit"
        list_tests = 0
        list_testsuites = 0
No symbol table info available.
smb_panic(): action returned status 0
PANIC: internal error
BACKTRACE: 16 stack frames:
 #0 0   libsamba-util.dylib                 0x0000000100e08210 call_backtrace + 28
 #1 1   libsamba-util.dylib                 0x0000000100e084b2 smb_panic + 501
 #2 2   libsamba-util.dylib                 0x0000000100e085e6 sig_fault + 0
 #3 3   libsamba-util.dylib                 0x0000000100e08611 fault_setup + 0
 #4 4   libSystem.B.dylib                   0x00007fff8067e67a _sigtramp + 26
 #5 5   ???                                 0x00000001021fc080 0x0 + 4330602624
 #6 6   smbtorture                          0x0000000100123350 torture_drs_unit_ldb_setup + 363
 #7 7   smbtorture                          0x0000000100123833 torture_drs_unit_prefixmap_setup + 675
 #8 8   libtorture.dylib                    0x0000000100e4da88 torture_run_tcase_restricted + 142
 #9 9   libtorture.dylib                    0x0000000100e4d513 torture_run_suite_restricted + 139
 #10 10  libtorture.dylib                    0x0000000100e4d483 torture_run_suite + 34
 #11 11  smbtorture                          0x000000010011d6cd run_matching + 183
 #12 12  smbtorture                          0x000000010011d941 torture_run_named_tests + 209
 #13 13  smbtorture                          0x000000010011f428 main + 4449
 #14 14  smbtorture                          0x00000001000037dc start + 52
 #15 15  ???                                 0x000000000000000a 0x0 + 10
command: bin/smbtorture --configfile=$SMB_CONF_PATH --maximum-runtime=$SELFTEST_MAXTIME --target=$SELFTEST_TARGET --basedir=$SELFTEST_TMPDIR --option=torture:progress=no --format=subunit --option=torture:quick=yes $LISTOPT ncalrpc: drs.unit $LOADLIST 2>&1 | ../selftest/filter-subunit $LISTOPT --fail-on-empty --prefix="samba4.drs.unit."
expanded command: bin/smbtorture --configfile=/Users/williambrown/development/samba-master/source4/st/client/client.conf --maximum-runtime=1200 --target=samba4 --basedir=/Users/williambrown/development/samba-master/source4/st/tmp --option=torture:progress=no --format=subunit --option=torture:quick=yes $LISTOPT ncalrpc: drs.unit $LOADLIST 2>&1 | ../selftest/filter-subunit $LISTOPT --fail-on-empty --prefix="samba4.drs.unit."
ERROR: Testsuite[samba4.drs.unit]
REASON: Exit code was 1


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.rpc.echo against member server with local creds(member)
ERROR: Testsuite[samba4.rpc.echo against member server with local creds(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.rpc.echo against member server with domain creds(member)
ERROR: Testsuite[samba4.rpc.echo against member server with domain creds(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...PROVISIONING RPC PROXY...testsuite: samba4.rpc.echo against rpc proxy with domain creds(rpc_proxy)
ERROR: Testsuite[samba4.rpc.echo against rpc proxy with domain creds(rpc_proxy)]
REASON: unable to set up environment rpc_proxy - exiting


PROVISIONING DC...testsuite: samba4.smb.signing on with -k no --signing=on(dc)
ERROR: Testsuite[samba4.smb.signing on with -k no --signing=on(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...testsuite: samba4.smb.signing on with -k no --signing=required(dc)
ERROR: Testsuite[samba4.smb.signing on with -k no --signing=required(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...testsuite: samba4.smb.signing on with -k no --option=usespnego=no --signing=on(dc)
ERROR: Testsuite[samba4.smb.signing on with -k no --option=usespnego=no --signing=on(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...testsuite: samba4.smb.signing on with -k no --option=usespnego=no --signing=required(dc)
ERROR: Testsuite[samba4.smb.signing on with -k no --option=usespnego=no --signing=required(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...testsuite: samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=on(dc)
ERROR: Testsuite[samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=on(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...testsuite: samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=required(dc)
ERROR: Testsuite[samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=required(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...testsuite: samba4.smb.signing on with -k yes --signing=on(dc)
ERROR: Testsuite[samba4.smb.signing on with -k yes --signing=on(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...testsuite: samba4.smb.signing on with -k yes --signing=required(dc)
ERROR: Testsuite[samba4.smb.signing on with -k yes --signing=required(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...testsuite: samba4.smb.signing on with -k yes --option=gensec:fake_gssapi_krb5=yes --option=gensec:gssapi_krb5=no --signing=on(dc)
ERROR: Testsuite[samba4.smb.signing on with -k yes --option=gensec:fake_gssapi_krb5=yes --option=gensec:gssapi_krb5=no --signing=on(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...testsuite: samba4.smb.signing on with -k yes --option=gensec:fake_gssapi_krb5=yes --option=gensec:gssapi_krb5=no --signing=required(dc)
ERROR: Testsuite[samba4.smb.signing on with -k yes --option=gensec:fake_gssapi_krb5=yes --option=gensec:gssapi_krb5=no --signing=required(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.smb.signing on with -k no --signing=off domain-creds(member)
ERROR: Testsuite[samba4.smb.signing on with -k no --signing=off domain-creds(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.smb.signing on with -k no --option=usespnego=no --signing=off domain-creds(member)
ERROR: Testsuite[samba4.smb.signing on with -k no --option=usespnego=no --signing=off domain-creds(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=off domain-creds(member)
ERROR: Testsuite[samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=off domain-creds(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.smb.signing on with -k yes --signing=off domain-creds(member)
ERROR: Testsuite[samba4.smb.signing on with -k yes --signing=off domain-creds(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.smb.signing on with -k yes --option=gensec:fake_gssapi_krb5=yes --option=gensec:gssapi_krb5=no --signing=off domain-creds(member)
ERROR: Testsuite[samba4.smb.signing on with -k yes --option=gensec:fake_gssapi_krb5=yes --option=gensec:gssapi_krb5=no --signing=off domain-creds(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.smb.signing on with -k no --signing=off local-creds(member)
ERROR: Testsuite[samba4.smb.signing on with -k no --signing=off local-creds(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.smb.signing on with -k no --option=usespnego=no --signing=off local-creds(member)
ERROR: Testsuite[samba4.smb.signing on with -k no --option=usespnego=no --signing=off local-creds(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=off local-creds(member)
ERROR: Testsuite[samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=off local-creds(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...testsuite: samba4.smb.signing --signing=yes anon(dc)
ERROR: Testsuite[samba4.smb.signing --signing=yes anon(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...testsuite: samba4.smb.signing --signing=required anon(dc)
ERROR: Testsuite[samba4.smb.signing --signing=required anon(dc)]
REASON: unable to set up environment dc - exiting


PROVISIONING DC...PROVISIONING MEMBER...testsuite: samba4.smb.signing --signing=no anon(member)
ERROR: Testsuite[samba4.smb.signing --signing=no anon(member)]
REASON: unable to set up environment member - exiting


PROVISIONING DC...PROVISIONING RODC...testsuite: samba4.rpc.echo(rodc)
ERROR: Testsuite[samba4.rpc.echo(rodc)]
REASON: unable to set up environment rodc - exiting





== samba4.rpc.echo against member server with local creds(member) ==
== samba4.rpc.echo against member server with domain creds(member) ==
== samba4.rpc.echo against rpc proxy with domain creds(rpc_proxy) ==
== samba4.smb.signing on with -k no --signing=on(dc) ==
== samba4.smb.signing on with -k no --signing=required(dc) ==
== samba4.smb.signing on with -k no --option=usespnego=no --signing=on(dc) ==
== samba4.smb.signing on with -k no --option=usespnego=no --signing=required(dc) ==
== samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=on(dc) ==
== samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=required(dc) ==
== samba4.smb.signing on with -k yes --signing=on(dc) ==
== samba4.smb.signing on with -k yes --signing=required(dc) ==
== samba4.smb.signing on with -k yes --option=gensec:fake_gssapi_krb5=yes --option=gensec:gssapi_krb5=no --signing=on(dc) ==
== samba4.smb.signing on with -k yes --option=gensec:fake_gssapi_krb5=yes --option=gensec:gssapi_krb5=no --signing=required(dc) ==
== samba4.smb.signing on with -k no --signing=off domain-creds(member) ==
== samba4.smb.signing on with -k no --option=usespnego=no --signing=off domain-creds(member) ==
== samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=off domain-creds(member) ==
== samba4.smb.signing on with -k yes --signing=off domain-creds(member) ==
== samba4.smb.signing on with -k yes --option=gensec:fake_gssapi_krb5=yes --option=gensec:gssapi_krb5=no --signing=off domain-creds(member) ==
== samba4.smb.signing on with -k no --signing=off local-creds(member) ==
== samba4.smb.signing on with -k no --option=usespnego=no --signing=off local-creds(member) ==
== samba4.smb.signing on with -k no --option=gensec:spengo=no --signing=off local-creds(member) ==
== samba4.smb.signing --signing=yes anon(dc) ==
== samba4.smb.signing --signing=required anon(dc) ==
== samba4.smb.signing --signing=no anon(member) ==
== samba4.rpc.echo(rodc) ==

= Skipped tests =
UNKNOWN
        samba4.ntvfs.cifs.raw.open(dc)
        samba4.ntvfs.cifs.raw.read(dc)
        samba4.ntvfs.cifs.raw.write(dc)
        samba4.ntvfs.cifs.raw.rename(dc)
        samba4.ntvfs.cifs.raw.qfsinfo(dc)
        samba4.ntvfs.cifs.raw.qfileinfo(dc)
        samba4.ntvfs.cifs.raw.close(dc)
        samba4.ntvfs.cifs.raw.mkdir(dc)
        samba4.ntvfs.cifs.raw.ioctl(dc)
        samba4.ntvfs.cifs.raw.seek(dc)
        samba4.ntvfs.cifs.raw.eas(dc)
Comment 1 Matthias Dieter Wallnöfer 2010-12-18 04:32:57 UTC
Is this still reproducible? Since such errors often get fixed quickly.
Comment 2 William E Brown 2010-12-18 20:29:29 UTC
(In reply to comment #1)
> Is this still reproducible? Since such errors often get fixed quickly.
> 

Yes it is

git ref 716ea734e4cd83a2030ca2cac10056bdaab1a021

Shows the exact same errors on make quicktest.
Comment 3 bradleysaulteaux 2011-02-05 08:06:00 UTC
Which python version are you using?  The segmentation faults stopped happening for me when I used python27 from MacPorts.
Comment 4 Matthias Dieter Wallnöfer 2011-02-12 07:36:54 UTC
Still an issue? Have you tried the workaround written in the comment above?
Comment 5 William E Brown 2011-02-13 18:00:51 UTC
It works when I use python27 from macports. 

It confuses me why it does not work with apple Python. Regardless, I have now hit a different error instead. 
Comment 6 Matthias Dieter Wallnöfer 2011-02-15 02:18:55 UTC
Well, I propose you to close this bug with "WORKSFORME" since the specified workaround works for you - and I think it's not a real bug in our code.

Do you still have any other questions?
Comment 7 William E Brown 2011-02-15 03:52:04 UTC
Not a bug in samba, Issues with osx itself.